//app.js
const WeimobJsSdk = require('./utils/weimob-js-sdk/index')
const weimobJsSdk = new WeimobJsSdk();

App({
  onLaunch: function () {
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
    wx.getSystemInfo({
      success: (result) => {
        console.log(result)
        this.globalData.systemInfo=result;
      },
    })
    wx.customTheme = {
      "color":"color:#86B902;",
      "bgc":"background-color: #86B902;",
      "bdc":"border-color: #86B902;",
      "bgCart":"background-color: #454552;",
      "bgcOpacity":"background-color: rgba(134,185,2,0.7);",
      "colorStr":"#86B902"
    }
    wx.currency = {"symbol":"¥","name":"元","unit":"元"}
  },
  getSdkSync() {
    return Promise.resolve(weimobJsSdk)
  },
  getSdk() {
    return weimobJsSdk
  },
  globalData: {
    userInfo: null
  }
})